textures/tm5_mr/glass
{
	qer_editorimage textures/tm5_mr/glassalpha.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm lightfilter
	cull disable
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		clampmap textures/tm5_mr/glassalpha.tga
		blendfunc filter
		rgbGen identity 
	}
}

// ------------------------------------------
// sky shader, uses a solid background color
// then cloud layer
// then masked off horizon line
// ------------------------------------------
// SHADER BY SHADERLAB
textures/tm5_mr/sky
{
	qer_editorimage textures/tm5_mr/sky_arc_masked.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nomipmaps
	q3map_lightsubdivide 768
	q3map_surfacelight 104
	q3map_sun 1 0.8 0.5 100 -32 56
	skyParms textures/tm5_mr/env/sky 512 -
	q3map_backsplash 0 0
	{
		map textures/tm5_mr/sky_clouds.tga
		rgbGen identityLighting
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
	}
	{
		clampmap textures/tm5_mr/sky_arc_masked.tga
		blendfunc blend
		rgbGen identityLighting
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
	}
}

textures/tm5_mr/sky_vx
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nomipmaps
	skyParms textures/tm5_mr/env/sky 512 -
	{
		clampmap textures/tm5_mr/sky_arc_masked.tga
		rgbGen identityLighting
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
	}
}

textures/tm5_mr/terrain_0
{
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/organics/pjrock7d.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/tm5_mr/terrain_1
{
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/organics/grass3.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/tm5_mr/terrain_2
{
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/organics/dirt2.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/tm5_mr/terrain_0to1
{
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )	
	{
		map textures/organics/pjrock7d.tga
	}
	{
		map textures/organics/grass3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/tm5_mr/terrain_0to2
{
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/organics/pjrock7d.tga
	}
	{
		map textures/organics/dirt2.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/tm5_mr/terrain_1to2
{
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	{
		map textures/organics/grass3.tga
	}
	{
		map textures/organics/dirt2.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/tm5_mr/terrain.vertex
{
	{
		map textures/organics/pjrock7d.tga
		rgbGen Vertex
	}
}

