// Slime adapted from id's liquids/slime1
textures/tm5_shallow/slime1
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 100
	cull disable

	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		
}

// TM5 logo
textures/tm5_shallow/tm5
{
	qer_editorimage textures/tm5_shallow/tm5.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset

	{
		map textures/tm5_shallow/tm5.tga
		rgbgen identity
		blendfunc add
	}

}

textures/common/terrain
{
	surfaceparm nodraw
	surfaceparm nomarks
 	surfaceparm nolightmap
}

// Terrain shaders excreted by Easygen
//
// 17.10.02 Fixed Easygen using jpg extensions - which oddly was working in game!?
//
textures/tm5_shallow/terrain_0
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/grassy.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}

textures/tm5_shallow/terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/earthy.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}

textures/tm5_shallow/terrain_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/colour.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}

textures/tm5_shallow/terrain_0to1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/grassy.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/tm5_shallow/earthy.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/tm5_shallow/terrain_0to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/grassy.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/tm5_shallow/colour.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/tm5_shallow/terrain_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/earthy.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/tm5_shallow/colour.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// Vertex mode terrain shader
textures/tm5_shallow/terrainvertex
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/colour.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}
