// **************************************************************** //
//                                                                  //
//               Shader for "Old Iron" textures                     //
//                                                                  //
//                by Tom "Shallow[BAP]" Waters                      //
//                                                                  //
// **************************************************************** //
//                                                                  //
// THIS SHADER FILE CREATED EXCLUSIVELY FOR TURTLEMAP 5 -  PLEASE   //
// DO NOT USE THIS SHADER AND TEXTURE PACK FOR ANY OTHER MAPS!      //
// Get the full distribution of this texture pack and follow the    //
// instructions for proper use contained therein.                   //
//                                                                  //
// Full pack available from http://www.bad-apple.net/mappery/       //
// shortly after TM5 concludes                                      //
//                                                                  //
// Copyright 2002, Tom Waters                                       //
// Commercial use prohibited                                        //
//                                                                  //
// **************************************************************** //

// **************************************************************** //
//                                                                  //
//                            Lights                                //
//                                                                  //
// **************************************************************** //

textures/tm5_oldiron/lightgrill_yellow500
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_blend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow.tga

	q3map_surfacelight 500

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_yellow1K
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_blend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow.tga

	q3map_surfacelight 1000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_yellow2K
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_blend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow.tga

	q3map_surfacelight 2000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_yellow3K
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_blend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow.tga

	q3map_surfacelight 3000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_yellow10K
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_blend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow.tga

	q3map_surfacelight 10000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_pale500
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_paleblend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow_paleblend.tga

	q3map_surfacelight 500

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_paleblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_pale1K
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_paleblend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow_paleblend.tga

	q3map_surfacelight 1000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_paleblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_pale2K
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_paleblend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow_paleblend.tga

	q3map_surfacelight 2000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_paleblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_pale3K
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_paleblend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow_paleblend.tga

	q3map_surfacelight 3000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_paleblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/lightgrill_pale10K
{
	q3map_lightimage textures/tm5_oldiron/light_yellow_paleblend.tga
	qer_editorimage textures/tm5_oldiron/light_yellow_paleblend.tga

	q3map_surfacelight 10000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light_yellow_paleblend.tga
		blendfunc add
	}
}

// --- Small lights --- //
textures/tm5_oldiron/light1_blue_1K
{
	q3map_lightimage textures/tm5_oldiron/light1_blueblend.tga
	qer_editorimage textures/tm5_oldiron/light1_blue.tga

	q3map_surfacelight 1000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_blueblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_blue_5K
{
	q3map_lightimage textures/tm5_oldiron/light1_blueblend.tga
	qer_editorimage textures/tm5_oldiron/light1_blue.tga

	q3map_surfacelight 5000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_blueblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_blue_10K
{
	q3map_lightimage textures/tm5_oldiron/light1_blueblend.tga
	qer_editorimage textures/tm5_oldiron/light1_blue.tga

	q3map_surfacelight 10000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_blueblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_blue_20K
{
	q3map_lightimage textures/tm5_oldiron/light1_blueblend.tga
	qer_editorimage textures/tm5_oldiron/light1_blue.tga

	q3map_surfacelight 20000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_blueblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_red_1K
{
	q3map_lightimage textures/tm5_oldiron/light1_redblend.tga
	qer_editorimage textures/tm5_oldiron/light1_red.tga

	q3map_surfacelight 1000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_redblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_red_5K
{
	q3map_lightimage textures/tm5_oldiron/light1_redblend.tga
	qer_editorimage textures/tm5_oldiron/light1_red.tga

	q3map_surfacelight 5000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_redblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_red_10K
{
	q3map_lightimage textures/tm5_oldiron/light1_redblend.tga
	qer_editorimage textures/tm5_oldiron/light1_red.tga

	q3map_surfacelight 10000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_redblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_red_20K
{
	q3map_lightimage textures/tm5_oldiron/light1_redblend.tga
	qer_editorimage textures/tm5_oldiron/light1_red.tga

	q3map_surfacelight 20000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_redblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_offwhite_1K
{
	q3map_lightimage textures/tm5_oldiron/light1_offwhiteblend.tga
	qer_editorimage textures/tm5_oldiron/light1_offwhite.tga

	q3map_surfacelight 1000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_offwhite.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_offwhiteblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_offwhite_5K
{
	q3map_lightimage textures/tm5_oldiron/light1_offwhiteblend.tga
	qer_editorimage textures/tm5_oldiron/light1_offwhite.tga

	q3map_surfacelight 5000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_offwhite.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_offwhiteblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_offwhite_10K
{
	q3map_lightimage textures/tm5_oldiron/light1_offwhiteblend.tga
	qer_editorimage textures/tm5_oldiron/light1_offwhite.tga

	q3map_surfacelight 10000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_offwhite.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_offwhiteblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_offwhite_20K
{
	q3map_lightimage textures/tm5_oldiron/light1_offwhiteblend.tga
	qer_editorimage textures/tm5_oldiron/light1_offwhite.tga

	q3map_surfacelight 20000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_offwhite.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_offwhiteblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_orange_1K
{
	q3map_lightimage textures/tm5_oldiron/light1_orangeblend.tga
	qer_editorimage textures/tm5_oldiron/light1_orange.tga

	q3map_surfacelight 1000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_orange.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_orangeblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_orange_5K
{
	q3map_lightimage textures/tm5_oldiron/light1_orangeblend.tga
	qer_editorimage textures/tm5_oldiron/light1_orange.tga

	q3map_surfacelight 5000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_orange.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_orangeblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_orange_10K
{
	q3map_lightimage textures/tm5_oldiron/light1_orangeblend.tga
	qer_editorimage textures/tm5_oldiron/light1_orange.tga

	q3map_surfacelight 10000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_orange.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_orangeblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/light1_orange_20K
{
	q3map_lightimage textures/tm5_oldiron/light1_orangeblend.tga
	qer_editorimage textures/tm5_oldiron/light1_orange.tga

	q3map_surfacelight 20000

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/light1_orange.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/light1_orangeblend.tga
		blendfunc add
	}
}

// --- Trim lights --- //

textures/tm5_oldiron/trim1_light1
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1blend.tga
	qer_editorimage textures/tm5_oldiron/trim1_light1.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim1_light1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim1_light1blue
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1blueblend.tga
	qer_editorimage textures/tm5_oldiron/trim1_light1blue.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim1_light1blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1blueblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim1_light1red
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1redblend.tga
	qer_editorimage textures/tm5_oldiron/trim1_light1red.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim1_light1red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1redblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim2_light1
{
	q3map_lightimage textures/tm5_oldiron/trim2_light1blend.tga
	qer_editorimage textures/tm5_oldiron/trim2_light1.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim2_light1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim2_light1blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim2_light1blue
{
	q3map_lightimage textures/tm5_oldiron/trim2_light1blueblend.tga
	qer_editorimage textures/tm5_oldiron/trim2_light1blue.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim2_light1blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim2_light1blueblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim2_light1red
{
	q3map_lightimage textures/tm5_oldiron/trim2_light1redblend.tga
	qer_editorimage textures/tm5_oldiron/trim2_light1red.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim2_light1red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim2_light1redblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim3_light1
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1blend.tga
	qer_editorimage textures/tm5_oldiron/trim3_light1.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim3_light1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim3_light1blue
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1blueblend.tga
	qer_editorimage textures/tm5_oldiron/trim3_light1blue.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim3_light1blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1blueblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim3_light1red
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1redblend.tga
	qer_editorimage textures/tm5_oldiron/trim3_light1red.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim3_light1red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1redblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim4_light1
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1blend.tga
	qer_editorimage textures/tm5_oldiron/trim4_light1.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim4_light1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1blend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim4_light1blue
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1blueblend.tga
	qer_editorimage textures/tm5_oldiron/trim4_light1blue.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim4_light1blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1blueblend.tga
		blendfunc add
	}
}

textures/tm5_oldiron/trim4_light1red
{
	q3map_lightimage textures/tm5_oldiron/trim1_light1redblend.tga
	qer_editorimage textures/tm5_oldiron/trim4_light1red.tga

	q3map_surfacelight 1000
	q3map_lightsubdivide 40

	surfaceparm nomarks

	{
		map textures/tm5_oldiron/trim4_light1red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/trim1_light1redblend.tga
		blendfunc add
	}
}

// **************************************************************** //
//                                                                  //
//                              S F X                               //
//                                                                  //
// **************************************************************** //
textures/tm5_oldiron/fog_purpleopaque
{
	qer_editorimage textures/tm5_oldiron/cloud_purple.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog

	fogparms ( 0.9 0.3 0.9 ) 200

	{
		map textures/tm5_oldiron/cloud_purple.tga
		tcmod scale 0.1 0.05
		tcmod scroll .003 .004
		tcmod turb 0 0.01 0.5 0.07
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/tm5_oldiron/sfx_sparkGreen
{
	qer_editorimage textures/tm5_oldiron/sfx_spark_g5.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	{
		animmap 4 textures/tm5_oldiron/sfx_spark_g1.tga textures/tm5_oldiron/sfx_spark_g8.tga textures/tm5_oldiron/sfx_spark_g3.tga textures/tm5_oldiron/sfx_spark_g4.tga textures/tm5_oldiron/sfx_spark_g5.tga textures/tm5_oldiron/sfx_spark_g7.tga textures/tm5_oldiron/sfx_spark_g8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
	{
		animmap 4 textures/tm5_oldiron/sfx_spark_g1.tga textures/tm5_oldiron/sfx_spark_g8.tga textures/tm5_oldiron/sfx_spark_g3.tga textures/tm5_oldiron/sfx_spark_g4.tga textures/tm5_oldiron/sfx_spark_g5.tga textures/tm5_oldiron/sfx_spark_g7.tga textures/tm5_oldiron/sfx_spark_g8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
}

textures/tm5_oldiron/sfx_sparkGreenSprite
{
	qer_editorimage textures/tm5_oldiron/sfx_spark_g5.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	deformvertexes autosprite2

	{
		animmap 4 textures/tm5_oldiron/sfx_spark_g1.tga textures/tm5_oldiron/sfx_spark_g8.tga textures/tm5_oldiron/sfx_spark_g3.tga textures/tm5_oldiron/sfx_spark_g4.tga textures/tm5_oldiron/sfx_spark_g5.tga textures/tm5_oldiron/sfx_spark_g7.tga textures/tm5_oldiron/sfx_spark_g8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
	{
		animmap 4 textures/tm5_oldiron/sfx_spark_g1.tga textures/tm5_oldiron/sfx_spark_g8.tga textures/tm5_oldiron/sfx_spark_g3.tga textures/tm5_oldiron/sfx_spark_g4.tga textures/tm5_oldiron/sfx_spark_g5.tga textures/tm5_oldiron/sfx_spark_g7.tga textures/tm5_oldiron/sfx_spark_g8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
}

textures/tm5_oldiron/sfx_sparkBlue
{
	qer_editorimage textures/tm5_oldiron/sfx_spark_b5.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	{
		animmap 4 textures/tm5_oldiron/sfx_spark_b1.tga textures/tm5_oldiron/sfx_spark_b8.tga textures/tm5_oldiron/sfx_spark_b3.tga textures/tm5_oldiron/sfx_spark_b4.tga textures/tm5_oldiron/sfx_spark_b5.tga textures/tm5_oldiron/sfx_spark_b7.tga textures/tm5_oldiron/sfx_spark_b8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
	{
		animmap 4 textures/tm5_oldiron/sfx_spark_b1.tga textures/tm5_oldiron/sfx_spark_b8.tga textures/tm5_oldiron/sfx_spark_b3.tga textures/tm5_oldiron/sfx_spark_b4.tga textures/tm5_oldiron/sfx_spark_b5.tga textures/tm5_oldiron/sfx_spark_b7.tga textures/tm5_oldiron/sfx_spark_b8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
}

textures/tm5_oldiron/sfx_sparkBlueSprite
{
	qer_editorimage textures/tm5_oldiron/sfx_spark_b5.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	deformvertexes autosprite2

	{
		animmap 4 textures/tm5_oldiron/sfx_spark_b1.tga textures/tm5_oldiron/sfx_spark_b8.tga textures/tm5_oldiron/sfx_spark_b3.tga textures/tm5_oldiron/sfx_spark_b4.tga textures/tm5_oldiron/sfx_spark_b5.tga textures/tm5_oldiron/sfx_spark_b7.tga textures/tm5_oldiron/sfx_spark_b8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
	{
		animmap 4 textures/tm5_oldiron/sfx_spark_b1.tga textures/tm5_oldiron/sfx_spark_b8.tga textures/tm5_oldiron/sfx_spark_b3.tga textures/tm5_oldiron/sfx_spark_b4.tga textures/tm5_oldiron/sfx_spark_b5.tga textures/tm5_oldiron/sfx_spark_b7.tga textures/tm5_oldiron/sfx_spark_b8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
}

textures/tm5_oldiron/sfx_sparkRed
{
	qer_editorimage textures/tm5_oldiron/sfx_spark_r5.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	{
		animmap 4 textures/tm5_oldiron/sfx_spark_r1.tga textures/tm5_oldiron/sfx_spark_r8.tga textures/tm5_oldiron/sfx_spark_r3.tga textures/tm5_oldiron/sfx_spark_r4.tga textures/tm5_oldiron/sfx_spark_r5.tga textures/tm5_oldiron/sfx_spark_r7.tga textures/tm5_oldiron/sfx_spark_r8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
	{
		animmap 4 textures/tm5_oldiron/sfx_spark_r1.tga textures/tm5_oldiron/sfx_spark_r8.tga textures/tm5_oldiron/sfx_spark_r3.tga textures/tm5_oldiron/sfx_spark_r4.tga textures/tm5_oldiron/sfx_spark_r5.tga textures/tm5_oldiron/sfx_spark_r7.tga textures/tm5_oldiron/sfx_spark_r8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
}

textures/tm5_oldiron/sfx_sparkRedSprite
{
	qer_editorimage textures/tm5_oldiron/sfx_spark_r5.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	deformvertexes autosprite2

	{
		animmap 4 textures/tm5_oldiron/sfx_spark_r1.tga textures/tm5_oldiron/sfx_spark_r8.tga textures/tm5_oldiron/sfx_spark_r3.tga textures/tm5_oldiron/sfx_spark_r4.tga textures/tm5_oldiron/sfx_spark_r5.tga textures/tm5_oldiron/sfx_spark_r7.tga textures/tm5_oldiron/sfx_spark_r8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
	{
		animmap 4 textures/tm5_oldiron/sfx_spark_r1.tga textures/tm5_oldiron/sfx_spark_r8.tga textures/tm5_oldiron/sfx_spark_r3.tga textures/tm5_oldiron/sfx_spark_r4.tga textures/tm5_oldiron/sfx_spark_r5.tga textures/tm5_oldiron/sfx_spark_r7.tga textures/tm5_oldiron/sfx_spark_r8.tga
		tcMod scroll 0 -2
		tcMod turb 0 0.05 0 2.5
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add
	}
}

textures/tm5_oldiron/sfx_sparksprite_green
{
	q3map_lightimage textures/tm5_oldiron/sfx_sparkg_sprite1.tga
	qer_editorimage textures/tm5_oldiron/sfx_sparkg_sprite1.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	deformvertexes autosprite

	{
		clampmap textures/tm5_oldiron/sfx_sparkg_sprite1.tga
		tcmod rotate -25
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add		
	}
	{
		clampmap textures/tm5_oldiron/sfx_sparkg_sprite2.tga
		tcmod rotate 60
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add		
	}
}

textures/tm5_oldiron/sfx_sparksprite_red
{
	q3map_lightimage textures/tm5_oldiron/sfx_sparkr_sprite1.tga
	qer_editorimage textures/tm5_oldiron/sfx_sparkr_sprite1.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	deformvertexes autosprite

	{
		clampmap textures/tm5_oldiron/sfx_sparkr_sprite1.tga
		tcmod rotate -25
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add		
	}
	{
		clampmap textures/tm5_oldiron/sfx_sparkr_sprite2.tga
		tcmod rotate 60
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add		
	}
}

textures/tm5_oldiron/sfx_sparksprite_blue
{
	q3map_lightimage textures/tm5_oldiron/sfx_sparkb_sprite1.tga
	qer_editorimage textures/tm5_oldiron/sfx_sparkb_sprite1.tga

	q3map_surfacelight 50

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	cull none

	deformvertexes autosprite

	{
		clampmap textures/tm5_oldiron/sfx_sparkb_sprite1.tga
		tcmod rotate -25
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add		
	}
	{
		clampmap textures/tm5_oldiron/sfx_sparkb_sprite2.tga
		tcmod rotate 60
		rgbgen wave sawtooth .5 3 0 10
		blendfunc add		
	}
}

// **************************************************************** //
//                                                                  //
//                      Alpha transparencies                        //
//                                                                  //
// **************************************************************** //

// --- CTF logo decals --- //

// Nice alpha blend
textures/tm5_oldiron/bluelogo
{
	qer_editorimage textures/tm5_oldiron/bluelogo.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset

	{
		map textures/tm5_oldiron/bluelogo.tga
		rgbgen identity
		Alphafunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

// Cheap additive blend
textures/tm5_oldiron/bluelogobright
{
	qer_editorimage textures/tm5_oldiron/bluelogo.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset

	{
		map textures/tm5_oldiron/bluelogo.tga
		rgbgen identity
		blendfunc add
	}
}

// Nice alpha blend
textures/tm5_oldiron/redlogo
{
	qer_editorimage textures/tm5_oldiron/redlogo.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset

	{
		map textures/tm5_oldiron/redlogo.tga
		rgbgen identity
		Alphafunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

// Cheap additive blend
textures/tm5_oldiron/redlogobright
{
	qer_editorimage textures/tm5_oldiron/redlogo.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset

	{
		map textures/tm5_oldiron/redlogo.tga
		rgbgen identity
		blendfunc add
	}
}

// --- Gratings --- //

textures/tm5_oldiron/grid1_2_basic
{
	qer_editorimage textures/tm5_oldiron/grid1_2_basic.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none

	{
		map textures/tm5_oldiron/grid1_2_basic.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/grid1_plate
{
	qer_editorimage textures/tm5_oldiron/grid1_plate.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none

	{
		map textures/tm5_oldiron/grid1_plate.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/grid2_plate
{
	qer_editorimage textures/tm5_oldiron/grid2_plate.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none

	{
		map textures/tm5_oldiron/grid2_plate.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/grid3a_basic
{
	qer_editorimage textures/tm5_oldiron/grid3a_basic.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none

	{
		map textures/tm5_oldiron/grid3a_basic.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/grid3a_plate
{
	qer_editorimage textures/tm5_oldiron/grid3a_plate.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none

	{
		map textures/tm5_oldiron/grid3a_plate.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/grid3b_plate
{
	qer_editorimage textures/tm5_oldiron/grid3b_plate.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none

	{
		map textures/tm5_oldiron/grid3b_plate.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/grid4_plate
{
	qer_editorimage textures/tm5_oldiron/grid4_plate.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none

	{
		map textures/tm5_oldiron/grid4_plate.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// Spritey pipe, originally from BAP3DM2
textures/tm5_oldiron/pipe
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	deformVertexes autosprite2
	nopicmip
	{
		map textures/tm5_oldiron/pipe.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

// **************************************************************** //
//                                                                  //
//                             Pads                                 //
//                                                                  //
// **************************************************************** //

// --- METAL 1 --- PAD 1 --- //

textures/tm5_oldiron/metal1_pad1_punch
{
	qer_editorimage textures/tm5_oldiron/metal1_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal1_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal1_pad1_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal1_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal1_pad1_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal1_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal1_pad1_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal1_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// --- METAL 1 --- PAD 2 --- //

textures/tm5_oldiron/metal1_pad2_punch
{
	qer_editorimage textures/tm5_oldiron/metal1_pad2.tga

	surfaceparm trans
	cull none
	{
		map textures/tm5_oldiron/metal1_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal1_pad2_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal1_pad2.tga

	surfaceparm trans
	cull none
	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal1_pad2_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal1_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal1_pad2_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal1_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// --- METAL 1 --- PAD 3 --- //

textures/tm5_oldiron/metal1_pad3
{
	qer_editorimage textures/tm5_oldiron/metal1_pad3.tga

	{
		map textures/tm5_oldiron/metal1_pad3.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal1_pad3_punch
{
	qer_editorimage textures/tm5_oldiron/metal1_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal1_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal1_pad3_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal1_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal1_pad3_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal1_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal1_pad3_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal1_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

// --- METAL 2 --- PAD 1 --- //

textures/tm5_oldiron/metal2_pad1_punch
{
	qer_editorimage textures/tm5_oldiron/metal2_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal2_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal2_pad1_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal2_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal2_pad1_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal2_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal2_pad1_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal2_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// --- METAL 2 --- PAD 2 --- //

textures/tm5_oldiron/metal2_pad2_punch
{
	qer_editorimage textures/tm5_oldiron/metal2_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal2_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal2_pad2_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal2_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal2_pad2_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal2_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal2_pad2_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal2_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// --- METAL 2 --- PAD 3 --- //

textures/tm5_oldiron/metal2_pad3_punch
{
	qer_editorimage textures/tm5_oldiron/metal2_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal2_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal2_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal2_pad3_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal2_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal2_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal2_pad3_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal2_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal2_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal2_pad3_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal2_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal2_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal2_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

// --- METAL 3 --- PAD 1 --- //

textures/tm5_oldiron/metal3_pad1_punch
{
	qer_editorimage textures/tm5_oldiron/metal3_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal3_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal3_pad1_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal3_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal3_pad1_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal3_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal3_pad1_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal3_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// --- METAL 3 --- PAD 2 --- //

textures/tm5_oldiron/metal3_pad2_punch
{
	qer_editorimage textures/tm5_oldiron/metal3_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal3_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal3_pad2_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal3_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal3_pad2_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal3_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal3_pad2_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal3_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// --- METAL 3 --- PAD 3 --- //

textures/tm5_oldiron/metal3_pad3_punch
{
	qer_editorimage textures/tm5_oldiron/metal3_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal3_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal3_pad3_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal3_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal3_pad3_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal3_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal3_pad3_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal3_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal3_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

// --- METAL 4 --- PAD 1 --- //

textures/tm5_oldiron/metal4_pad1_punch
{
	qer_editorimage textures/tm5_oldiron/metal4_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal4_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal4_pad1_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal4_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal4_pad1_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal4_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal4_pad1_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal4_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// --- METAL 4 --- PAD 2 --- //

textures/tm5_oldiron/metal4_pad2_punch
{
	qer_editorimage textures/tm5_oldiron/metal4_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal4_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal4_pad2_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal4_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal4_pad2_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal4_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/tm5_oldiron/metal4_pad2_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal4_pad2.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad2.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

// --- METAL 4 --- PAD 3 --- //

textures/tm5_oldiron/metal4_pad3_punch
{
	qer_editorimage textures/tm5_oldiron/metal4_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/metal4_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal4_pad3_punchzztgreen
{
	qer_editorimage textures/tm5_oldiron/metal4_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal4_pad3_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal4_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal4_pad3_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal4_pad3.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal4_pad3.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_pad3glow.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

// **************************************************************** //
//                                                                  //
//                          Launch Pads                             //
//                                                                  //
// **************************************************************** //

// --- METAL 1 --- PAD 1 --- //

textures/tm5_oldiron/metal1_launchpad1_punch
{
	qer_editorimage textures/tm5_oldiron/metal1_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_launchpad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_launchpad1blend.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal1_launchpad1_punchzzt
{
	qer_editorimage textures/tm5_oldiron/metal1_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_g5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_launchpad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_launchpad1blend.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal1_launchpad1_punchzztred
{
	qer_editorimage textures/tm5_oldiron/metal1_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_r5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_launchpad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_launchpad1blend.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

textures/tm5_oldiron/metal1_launchpad1_punchzztblue
{
	qer_editorimage textures/tm5_oldiron/metal1_pad1.tga

	surfaceparm trans
	cull none

	{
		map textures/tm5_oldiron/sfx_spark_b5.jpg
		rgbgen wave sin 0.5 0.5 0 3
		blendfunc add
		tcmod scroll 1 3
	}
	{
		map textures/tm5_oldiron/metal1_launchpad1.tga
		alphafunc GE128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
	{
		map textures/tm5_oldiron/metal1_launchpad1blend.tga
		rgbgen wave sin -0.5 1 0.5 3
		blendfunc add
	}
}

// **************************************************************** //
//                                                                  //
//                             Skies                                //
//                                                                  //
// **************************************************************** //

// Weird purple sky 1
textures/tm5_oldiron/sky_purple
{
	qer_editorimage textures/tm5_oldiron/cloud_purple.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks

	skyparms - 512 -
	
	q3map_surfacelight 300
	q3map_sun 1.0 0.82 0.96 200 30 70

	{
		map textures/tm5_oldiron/cloud_purple.tga
		tcmod scale 2 3
		tcmod scroll .01 .02
	}
	{
		map textures/tm5_oldiron/cloud_black.tga
		blendfunc add
		tcmod scale 3 2
		tcmod scroll .02 .03
	}
}

// Weird purple sky 1 with more modest surfacelight
textures/tm5_oldiron/sky_purple2
{
	qer_editorimage textures/tm5_oldiron/cloud_purple.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks

	skyparms - 512 -
	
	q3map_surfacelight 70
	q3map_sun 1.0 0.82 0.96 200 30 70

	{
		map textures/tm5_oldiron/cloud_purple.tga
		tcmod scale 2 3
		tcmod scroll .01 .02
	}
	{
		map textures/tm5_oldiron/cloud_black.tga
		blendfunc add
		tcmod scale 3 2
		tcmod scroll .02 .03
	}
}

// Weird purple sky 2
textures/tm5_oldiron/sky_purpledark
{
	q3map_lightimage textures/tm5_oldiron/purplecloud.tga
	qer_editorimage textures/tm5_oldiron/cloud_black.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks

	skyparms - 512 -
	
	q3map_surfacelight 200
	q3map_sun 1.0 0.82 0.96 100 30 70

	{
		map textures/tm5_oldiron/cloud_purple.tga
		tcmod scale 2 3
		tcmod scroll .01 .02
	}
	{
		map textures/tm5_oldiron/cloud_black.tga
		blendfunc filter
		tcmod scale 3 2
		tcmod scroll .02 .03
	}
}

// Weird purple sky 2 with more modest surfacelight
textures/tm5_oldiron/sky_purpledark2
{
	q3map_lightimage textures/tm5_oldiron/purplecloud.tga
	qer_editorimage textures/tm5_oldiron/cloud_black.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks

	skyparms - 512 -
	
	q3map_surfacelight 80
	q3map_sun 1.0 0.82 0.96 100 30 70

	{
		map textures/tm5_oldiron/cloud_purple.tga
		tcmod scale 2 3
		tcmod scroll .01 .02
	}
	{
		map textures/tm5_oldiron/cloud_black.tga
		blendfunc filter
		tcmod scale 3 2
		tcmod scroll .02 .03
	}
}

// Black sky
textures/tm5_oldiron/sky_purpledark
{
	qer_editorimage textures/tm5_oldiron/cloud_black.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks

	skyparms - 512 -
	
	q3map_surfacelight 200
	q3map_sun 1.0 0.82 0.96 100 30 70

	{
		map textures/tm5_oldiron/cloud_black.tga
		tcmod scale 2 3
		tcmod scroll .01 .02
	}
	{
		map textures/tm5_oldiron/cloud_black.tga
		blendfunc add
		tcmod scale 3 2
		tcmod scroll .02 .03
	}
}

// Orange sky from BAP3DM2 :)
textures/tm5_oldiron/sky_bap3dm2
{
	qer_editorimage textures/tm5_oldiron/cloud_ornjsky3.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky

	skyparms - 512 -

	q3map_surfacelight 150
	q3map_sun	0.98 0.98 0.60 70 240 70

	{
		map textures/tm5_oldiron/cloud_ornjsky2.tga
		tcMod scale 2 2
		tcMod scroll 0.05 0.05
		depthWrite
	}
	{
		map textures/tm5_oldiron/cloud_ornjsky1.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

// Sky from TM4_Shallow
textures/tm5_oldiron/sky_tm4shallow
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 0.98 0.80 30 240 70
	q3map_surfacelight 70
	q3map_lightimage textures/tm5_oldiron/clouds_tm4sky01.tga
	qer_editorimage textures/tm5_oldiron/clouds_tm4sky01.tga

	skyparms - 512 -
	{
		map textures/tm5_oldiron/clouds_tm4sky01.tga
		tcMod scale 2 2
		tcMod scroll 0.02 0.02
		depthWrite
	}
	{
		map textures/tm5_oldiron/clouds_tm4sky02.tga
		tcMod scale 3 3
		tcMod scroll 0.03 0.04
		blendfunc filter
		depthWrite
	}
}

// Sky from TM4_Shallow with more light
textures/tm5_oldiron/sky_tm4shallowbrite
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 0.98 0.80 30 240 70
	q3map_surfacelight 150
	q3map_lightimage textures/tm5_oldiron/clouds_tm4sky01.tga
	qer_editorimage textures/tm5_oldiron/clouds_tm4sky01.tga

	skyparms - 512 -
	{
		map textures/tm5_oldiron/clouds_tm4sky01.tga
		tcMod scale 2 2
		tcMod scroll 0.02 0.02
		depthWrite
	}
	{
		map textures/tm5_oldiron/clouds_tm4sky02.tga
		tcMod scale 3 3
		tcMod scroll 0.03 0.04
		blendfunc filter
		depthWrite
	}
}

// **************************************************************** //
//                                                                  //
//                           Functional                             //
//                                                                  //
// **************************************************************** //

// A non-drawn slime shader used to make sparks burn you
textures/tm5_oldiron/sparkhurt
{
	qer_editorimage textures/tm5_oldiron/sparkhurt.tga
	qer_trans 0.6

	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm slime
}